Package io.github.jdbcx.driver

# Class ConnectionMetaData

java.lang.Object
io.github.jdbcx.driver.ConnectionMetaData

public final class ConnectionMetaData extends Object

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`getDriver()`
`String`
`getDriverName()`
`String`
`getDriverVersion()`
`String`
`getPackageName()`
`String`
`getProduct()`
`String`
`getProductName()`
`String`
`getProductVersion()`
`String`
`getUrl()`
`String`
`getUserName()`
`int`
`hashCode()`
`boolean`
`hasUserName()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getPackageName

public String getPackageName()

### getProductName

public String getProductName()

### getProductVersion

public String getProductVersion()

### getProduct

public String getProduct()

### getDriverName

public String getDriverName()

### getDriverVersion

public String getDriverVersion()

### getDriver

public String getDriver()

### getUserName

public String getUserName()

### getUrl

public String getUrl()

### hasUserName

public boolean hasUserName()

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`